/* Blaster Audio Player */
.blaster_wrapper {
	width: 300px;
	height: 47px;
	padding: 16px 20px 0px 20px;
     align-items: center;
     border-radius: 80px;
	box-sizing: border-box;
	white-space: nowrap;
	overflow: hidden;
	vertical-align: middle;
     position: relative;
}
.blaster_buttons {
     width: 15px;
     height: 15px;
	background-repeat: no-repeat;
     cursor: pointer;
     float: left;
}
.blaster_buttons:hover {
	filter: brightness(125%);
	cursor: pointer;
}
.blaster_buttons.play {
}
.blaster_buttons.pause {
}
.blaster_buttons.volume {
	margin-left: 3px;
	margin-right: 10px;
}
.blaster_buttons.speed {
}
.blaster_times {
	width: 45px;
	height: 15px;
	margin: 0px 0px 0px 0px;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	position:  relative;
	text-align: center;
	font-family: "Chivo Mono Regular";
	font-size: 11px;
	font-weight: normal;
	line-height: 15px;
	float: left;
}
.blaster_times.current {
	text-align: right;
}
.blaster_times.divider {
	width: 1px;
	height: 11px;
	margin: 2px 5px 0px 5px;
}
.blaster_times.total {
	text-align: left;
}
.blaster_progress_bar_bg {
	width: calc(100% - 170px);
	height: 7px;
	margin: 4px 10px 0px 0px;
     flex: 1;
     display: flex;
     align-items: center;
     border-radius: 3px;
     position: relative;
	float: left;
}
.blaster_progress_bar_progress {
     height: 100%;
     border-radius: 3px;
     position: absolute;
     top: 0;
     left: 0;
     width: 0;
     transition: width 0.3s ease;
}
.blaster_progress_bar_seek {
     width: 100%;
     height: 7px;
     position: absolute;
     opacity: 0;
	-webkit-appearance: none;
     cursor: pointer;
}
.blaster_progress_bar_seek::-webkit-slider-thumb {
     width: 12px;
     height: 12px;
	border-radius: 50%;
     -webkit-appearance: none;
     cursor: pointer;
}
.blaster_progress_bar_seek::-moz-range-thumb {
     width: 12px;
     height: 12px;
	border-radius: 50%;
     cursor: pointer;
}
.blaster_volume {
	-webkit-appearance: none;
	appearance: none;
	width: 35px;
	height: 15px;
	margin-top: 0px;
	margin-left: 14px;
	border-radius: 2px;
	background-color: transparent;
	outline: none;
	display: none;
	transform: rotate(-90deg);
	transition: opacity 0.3s ease;
	cursor: pointer;
}
.blaster_volume::-webkit-slider-runnable-track {
	width: 35px;
	height: 4px;
	border-radius: 2px;
}
.blaster_volume::-moz-range-track {
	width: 35px;
	height: 4px;
	border-radius: 2px;
}
.blaster_volume::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 10px;
	height: 10px;
	margin-top: -3px;
	border-radius: 50%;
}
.blaster_volume::-moz-range-thumb {
	width: 10px;
	height: 10px;
	margin-top: -3px;
	border-radius: 50%;
}
select.blaster_speed_select {
	width: 150px;
	height: 20px;
	margin-top: -2px;
	margin-left: -135px;
	text-align: right;
	font-family: "DM Sans Regular";
	font-size: 11px;
	font-weight: normal;
	line-height: 15px;
     border-radius: 4px;
	display: none;
}
select.blaster_speed_select option {
    padding: 5px;
}
